Package opennlp.tools.cmdline.lemmatizer

# Class LemmatizerEvaluatorTool

java.lang.Object
opennlp.tools.cmdline.CmdLineTool
opennlp.tools.cmdline.TypedCmdLineTool<T,P>
opennlp.tools.cmdline.AbstractTypedParamTool<T,P>
opennlp.tools.cmdline.AbstractEvaluatorTool<LemmaSample,opennlp.tools.cmdline.lemmatizer.LemmatizerEvaluatorTool.EvalToolParams>
opennlp.tools.cmdline.lemmatizer.LemmatizerEvaluatorTool

public final class LemmatizerEvaluatorTool extends opennlp.tools.cmdline.AbstractEvaluatorTool<LemmaSample,opennlp.tools.cmdline.lemmatizer.LemmatizerEvaluatorTool.EvalToolParams>
A default `LemmaSample`-centric implementation of `AbstractEvaluatorTool` that prints to an output stream.

See Also:
  - `AbstractEvaluatorTool`
  - `LemmatizerEvaluatorTool.EvalToolParams`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LemmatizerEvaluatorTool()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getShortDescription()`
  `void`
  `run(String format, String[] args)`
  Executes the tool with the given parameters.

  ### Methods inherited from class opennlp.tools.cmdline.AbstractTypedParamTool

  `getHelp`

  ### Methods inherited from class opennlp.tools.cmdline.TypedCmdLineTool

  `getHelp`

  ### Methods inherited from class opennlp.tools.cmdline.CmdLineTool

  `getName, hasParams`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LemmatizerEvaluatorTool

    public LemmatizerEvaluatorTool()

- ## Method Details

  - ### getShortDescription

    public String getShortDescription()
    Overrides:
      `getShortDescription` in class `opennlp.tools.cmdline.CmdLineTool`
    Returns:
      Retrieves a short description of what the tool does

  - ### run

    public void run(String format, String[] args)
    Description copied from class: `opennlp.tools.cmdline.TypedCmdLineTool`
    Executes the tool with the given parameters.
    Overrides:
      `run` in class `opennlp.tools.cmdline.AbstractEvaluatorTool<LemmaSample,opennlp.tools.cmdline.lemmatizer.LemmatizerEvaluatorTool.EvalToolParams>`
    Parameters:
      `format` - format to work with
      `args` - command line arguments